Cascade
Account

Get Cls Shares History

Retrieve CLS share history for the authenticated account

GET
/account/cls/shares/history

Query Parameters

from?integer

Limit to snapshots at or after this timestamp (milliseconds)

Formatint64
Range0 <= value
to?integer

Limit to snapshots before this timestamp (milliseconds)

Formatint64
Range0 <= value
limit?integer

Maximum number of snapshots to return

Formatint32
Range1 <= value <= 10000

Response Body

application/json

text/plain

text/plain

text/plain

curl -X GET "https://engine.cascade.cooking/account/cls/shares/history?from=1751793781000&to=1751793784000&limit=100"
[
  {
    "account": "string",
    "lockupEndsAt": 0,
    "netDeposits": "string",
    "shares": "string",
    "subaccountIndex": 0,
    "timestamp": 0,
    "usdValue": "string"
  }
]
"string"
"string"
"string"